0 Replies Latest reply on Jul 28, 2015 7:17 AM by Sai Kumar Dargapally

    Part.GetActiveSketch2

    Sai Kumar Dargapally

      Option
      Explicit

      Sub
      main()

      Dim
      swApp As SldWorks.SldWorks

      Dim
      Part As SldWorks.PartDoc

      Dim
      theSketch As SldWorks.Sketch

      Dim sketchPointArray As Variant

      Dim
      i As Long

      Dim
      pointCount As Long

      Dim
      xValue As Double

      Dim
      yValue As Double

      Dim
      zValue As Double

      Set
      swApp = CreateObject("SldWorks.Application")

      Set
      Part = swApp.ActiveDoc

      Set
      theSketch = Part.GetActiveSketch2

       

      sketchPointArray
      = theSketch.GetSketchPoints2

      pointCount
      = UBound(sketchPointArray) + 1

      '
      For each SketchPoint

      For
      i = 0 To (pointCount - 1)

        
      ' Get the coordinates

        
      xValue = sketchPointArray(i).X

        
      yValue = sketchPointArray(i).Y

        
      zValue = sketchPointArray(i).Z

        
      Debug.Print "Sketch point
      x and y coordinates: " & xValue; " and " & yValue

        
      Debug.Print " "

        
      ' Do something useful with the data

      Next
      i

       

      End
      Sub